<img src="<%= current_patient.profilePicture.thumb.url %>">
</br>
<%= link_to 'Editar perfil',  edit_patient_registration_path %>
<div id = "tabs-container">
  <ul id = "tabs">
    <button class = "buttonPersonalInfo selectedButton " data-id = "personalData">Datos personales</button>
    <button class = "buttonPersonalInfo " data-id = "medicalData">Datos médicos</button>
  </ul>
</div>

<div id = "personalData" class = "strong-options">
    <span>Nombre: </span>
    <%= current_patient.name %>
    <%= current_patient.lastName %></br>
    <span>Dirección: </span>
    <%= current_patient.direction %></br>
    <span>Teléfono: </span>
    <%= current_patient.telephone %></br>
    <span>Fecha de nacimiento: </span>
    <%= current_patient.birthdate %></br>
</div>
<div id = "medicalData" class = "hidden">
    <span>Tipo de sangre: </span>
    <%= current_patient.bloodType %></br>
    <span>Alergias: </span>
    <%= current_patient.allergies %></br>
    <span>Enfermedades importantes: </span>
    <%= current_patient.importantDiseases %></br>
</div>

<p class = "backButton"><%= link_to 'Atrás', { controller: "static_pages" } %></p>





<script type = "text/javascript">
  function changeTab(event) {
      if(event.target.dataset.id) {
          const pressed = event.target;
          const selected = document.querySelector(".selectedButton");
          const selectedId = selected.dataset["id"];
          document.getElementById(selectedId).classList.add("hidden");
          selected.classList.remove("selectedButton");
          pressed.classList.add("selectedButton");
          const newSelectedId = pressed.dataset.id;
          document.getElementById(newSelectedId).classList.remove("hidden");
      }
  }
  function eventHandlers() {
      const chooserTab = document.querySelector("#tabs-container ul");
      chooserTab.addEventListener("click", changeTab);
  }
  eventHandlers();
</script>